Class WebTemplateArchitectEmployer
java.lang.Object
net.officefloor.web.template.build.AbstractWebTemplateFactory
net.officefloor.web.template.build.WebTemplateArchitectEmployer
- All Implemented Interfaces:
WebTemplateArchitect,WebTemplateFactory
public class WebTemplateArchitectEmployer
extends AbstractWebTemplateFactory
implements WebTemplateArchitect
WebTemplateArchitect implementation.- Author:
- Daniel Sagenschneider
-
Method Summary
Modifier and TypeMethodDescriptionprotected WebTemplateaddTemplate(boolean isSecure, String applicationPath, PropertyList properties) Adds theWebTemplate.protected PropertyListCreates aPropertyList.static WebTemplateLoaderemployWebTemplateLoader(OfficeFloorCompiler compiler) Employs theWebTemplateLoader.static WebTemplateArchitectemployWebTemplater(WebArchitect webArchitect, OfficeArchitect officeArchitect, OfficeSourceContext officeSourceContext) Employs theWebTemplateArchitect.protected SourceIssuesObtains theSourceIssues.voidInforms theWebArchitectof the templates.protected booleanisPathParameters(String applicationPath) Indicates if path parameters.Methods inherited from class net.officefloor.web.template.build.AbstractWebTemplateFactory
addTemplate, addTemplateMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface net.officefloor.web.template.build.WebTemplateFactory
addTemplate, addTemplate
-
Method Details
-
employWebTemplater
public static WebTemplateArchitect employWebTemplater(WebArchitect webArchitect, OfficeArchitect officeArchitect, OfficeSourceContext officeSourceContext) Employs theWebTemplateArchitect.- Parameters:
webArchitect-WebArchitect.officeArchitect-OfficeArchitect.officeSourceContext-OfficeSourceContext.- Returns:
WebTemplateArchitect.
-
employWebTemplateLoader
public static WebTemplateLoader employWebTemplateLoader(OfficeFloorCompiler compiler) throws Exception Employs theWebTemplateLoader.- Parameters:
compiler-OfficeFloorCompiler.- Returns:
WebTemplateLoader.- Throws:
Exception- If fails to load theWebTemplateLoader.
-
createPropertyList
Description copied from class:AbstractWebTemplateFactoryCreates aPropertyList.- Specified by:
createPropertyListin classAbstractWebTemplateFactory- Returns:
- New
PropertyList.
-
getSourceIssues
Description copied from class:AbstractWebTemplateFactoryObtains theSourceIssues.- Specified by:
getSourceIssuesin classAbstractWebTemplateFactory- Returns:
SourceIssues.
-
isPathParameters
Description copied from class:AbstractWebTemplateFactoryIndicates if path parameters.- Specified by:
isPathParametersin classAbstractWebTemplateFactory- Parameters:
applicationPath- Application path.- Returns:
trueif path parameters.
-
addTemplate
protected WebTemplate addTemplate(boolean isSecure, String applicationPath, PropertyList properties) Description copied from class:AbstractWebTemplateFactoryAdds theWebTemplate.- Specified by:
addTemplatein classAbstractWebTemplateFactory- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.properties- InitialPropertiesfor theWebTemplatethat should be further configured by the returnedWebTemplateimplementation.- Returns:
WebTemplate.
-
informWebArchitect
public void informWebArchitect()Description copied from interface:WebTemplateArchitectInforms theWebArchitectof the templates. This is to be invoked once all templates are configured.- Specified by:
informWebArchitectin interfaceWebTemplateArchitect
-